<?xml version="1.0" encoding="utf-8" ?>
<customUI xmlns="http://schemas.microsoft.com/office/2006/01/customui" xmlns:excelAddin="http://schemas.microsoft.com/office/2006/excel/addins" onLoad="OnRibbonLoad">
  <ribbon>
    <tabs>
      <tab id="HPCExcelTab" label="HPC">
        <group id="HPCExcelGroup" label="Generic HPC Excel Add-In">
          <editBox id="hpcWorkbook" label="Workbook Save Location" sizeString="WWWWWWWWWWWWWWWWW" onChange="WorkbookSaveLocationChanged" getText="WorkbookSaveLocation_GetText" getEnabled="WorkbookSaveLocation_GetEnabled" />
          <editBox id="hpcHeadNode" label="HPC Head Node" sizeString="  WWWWWWWWWWWWWW" onChange="HeadNodeChanged" getText="HPCHeadNode_GetText" getEnabled="HPCHeadNode_GetEnabled"/>
          <editBox id="maxCores" label="Cores Requested" sizeString="8888" onChange ="MaxCoresChanged" getText="MaxCores_GetText" getEnabled="MaxCores_GetEnabled"/>
          <separator id="separatorA"/>
          <button id="btnCalcCluster" label="Calculate on HPC Cluster!" size="normal" onAction="RunOnCluster" getEnabled="RunOnCluster_GetEnabled"/>
          <button id="btnCalcLocal" label="Calculate Locally" size="normal" onAction="RunLocal" getEnabled="RunLocal_GetEnabled"/>
          <separator id="separatorB"/>
          <button id="btnCancel" label="Cancel Calculation" size="normal" onAction="CancelRun" getEnabled="CancelRun_GetEnabled"/>
          <button id="btnCloseSession" size="normal" onAction="RunOpenCloseSession" getLabel="OpenCloseSession_GetLabel" getEnabled="OpenCloseSession_GetEnabled"/>
          <!-->button id="btnViewPopups" getLabel="PopupsButton_GetLabel" size="normal" onAction="ViewPopups"/-->
        </group>
      </tab>
    </tabs>
  </ribbon>
</customUI>
